Get project conditions
Get the conditions associated with a specific project. The conditions are sorted by name.
Authorization
auth ApiKey JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
The ID of the project.
uuidQuery Parameters
Sort by field name (optional). supported fields: "Name", "Description", "Owner", "ProjectName"
Condition name used for filtering.
Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- EndsWith
Condition description used for filtering.
Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- EndsWith
Filter by project ID
uuidFilter by active status
Page number (1-based). Default is 1.
int321 <= value <= 2147483647Number of items per page. Default is 10. Maximum is 50.
int321 <= value <= 50Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/conditions/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "project": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isGlobalPermissions": true }, "owner": "534359f7-5407-4b19-ba92-c71c370022a5", "ownerName": "string", "isMine": true, "canEdit": true, "canDuplicate": true, "canDelete": true, "canSetPermissions": true } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}